Lompati ke konten utama

Browser ini sudah tidak didukung.

Tingkatkan ke Microsoft Edge untuk memanfaatkan fitur, pembaruan keamanan, dan dukungan teknis terkini.

Unduh Microsoft Edge Informasi selengkapnya tentang Internet Explorer dan Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Parameter kueri

api-version string diperlukan

The API version to use for this operation.

Parameter header

Foundry-Features enum diperlukan

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Parameter jalur

name string diperlukan

Name of the model.

version string diperlukan

Version of the model.

Isi Permintaan

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum diperlukan

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Respons

The request has succeeded.

Isi

Content-Type: application/json
blobReference BlobReference diperlukan

Blob reference details.

blobUri string diperlukan

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string diperlukan

ARM ID of the storage account to use.

credential SasCredential diperlukan

SAS Credential definition

sasUri string diperlukan

SAS uri

type enum diperlukan

Type of credential

SAS
pendingUploadId string diperlukan

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum diperlukan

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Header

x-ms-error-code string

String error code indicating what went wrong.

Isi

Content-Type: application/json
error Azure.Core.Foundations.Error diperlukan

The error object.

code string diperlukan

One of a server-defined set of error codes.

message string diperlukan

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Header

x-ms-error-code string

String error code indicating what went wrong.

Isi

Content-Type: application/json
error Azure.Core.Foundations.Error diperlukan

The error object.

code string diperlukan

One of a server-defined set of error codes.

message string diperlukan

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Minta

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Tanggapan

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
id-id
Pilihan Privasi Anda
  • Pengelakan AI
  • Versi Sebelumnya
  • Blog
  • Berikan kontribusi
  • Privasi
  • Privasi Kesehatan Konsumen
  • Persyaratan Penggunaan
  • Merek Dagang
  • © Microsoft 2026